<?php

namespace App\Form;

use App\Entity\Territory;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class IndividualForm extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('territory', EntityType::class, [
                'label' => 'Je suis un.e citoyen.ne du',
                'class' => Territory::class,
                'expanded' => true,
                'multiple' => false,
            ])
        ->add('revolt');
    }

    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults([
                                   // Configure your form options here
                               ]);
    }
}
